<ion-header>
  <ion-toolbar color = "ista">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Tickets</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-searchbar placeholder='{{defectSelect}}' animated (ionChange)="buscar($event)"></ion-searchbar>
    <ion-buttons slot="primary">
      <ion-button (click)="filtroButton()">
        <ion-icon slot="icon-only" name="settings"></ion-icon>
      </ion-button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
  <div class= "ion-activated" *ngFor= "let data of ticket | filtro: textoBusqueda:tipoServicio" (click)='detalle(data)'>
    <ion-item>
      <ion-label color = "ista">
        <h2>Ticket: {{data.codticket}}</h2>
        <h3>Usuario: {{data.usuario.persona.nombres}}</h3>
        <p>Servicio: {{data.servicio.titulo}}</p>
        <p>Fecha: {{data.fechaAsignacion | date: 'MMM dd, YYYY HH:mm'}}</p>
        <p>Estado: {{data.estado.nombreEstado}}</p>
      </ion-label>
      <ion-icon *ngIf="data.servicio.prioridad.nivelPrioridad=='Superior'" name="ellipse-sharp" style="color:#FF1500;">
      </ion-icon>
      <ion-icon *ngIf="data.servicio.prioridad.nivelPrioridad=='Alto'" name="ellipse-sharp" style="color:#FF6417;">
      </ion-icon>
      <ion-icon *ngIf="data.servicio.prioridad.nivelPrioridad=='Medio'" name="ellipse-sharp" style="color:#FFFF04;">
      </ion-icon>
      <ion-icon *ngIf="data.servicio.prioridad.nivelPrioridad=='Bajo'" name="ellipse-sharp" style="color:#E0FF04;">
      </ion-icon>
      <ion-icon *ngIf="data.servicio.prioridad.nivelPrioridad=='Inferior'" name="ellipse-sharp" style="color:#4EFF04;">
      </ion-icon>
    </ion-item>
  </div>
</ion-content>
